/**
  *  \file planetscentral/host/ranking.h
  *  \brief Host: Player Ranking
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_RANKING_H
#define C2SERVER_PLANETSCENTRAL_HOST_RANKING_H

#include "cpluslib/string.h"
#include "cpluslib/types.h"

class DbClient;
class Game;

void handlePlayerTurn(DbClient& dbConnection, string_t player, bool submit, uint32_t level);
void handlePlayerDrop(DbClient& dbConnection, string_t player, Game& game, int slot);
void addPlayerRankPoints(DbClient& dbConnection, string_t player, int32_t pts);
void handlePlayerRankChanges(DbClient& dbConnection, string_t player);

#endif
